Skip to content

SMART configuration

SMART Backend Services configuration: asymmetric client authentication (`private_key_jwt`) for token requests to the push endpoints only.

GET
/v1/fhir/.well-known/smart-configuration

SMART Backend Services configuration: asymmetric client authentication (private_key_jwt) for token requests to the push endpoints only.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/fhir/.well-known/smart-configuration"
{  "capabilities": [    "string"  ],  "description": "string",  "grant_types_supported": [    "string"  ],  "jwks_uri": "string",  "scopes_supported": [    "string"  ],  "token_endpoint": "string",  "token_endpoint_auth_methods_supported": [    "string"  ],  "token_endpoint_auth_signing_alg_values_supported": [    "string"  ]}

Was this page helpful?